﻿@model SportsClub.Models.FormModels.FormViewModel
@* Get CustomMetaData as Model and Display Title and Value Now Use in Order for showing Player Detail*@

@foreach (var item in Model.Questions)
{

    var valueOfControl = "";

    if (item.GetType() == typeof(SportsClub.Models.FormModels.TextBox))
    {
        var control = (SportsClub.Models.FormModels.TextBox)item;
        valueOfControl = control.Value;
    }
    else if (item.GetType() == typeof(SportsClub.Models.FormModels.TextArea))
    {
        var control = (SportsClub.Models.FormModels.TextArea)item;
        valueOfControl = control.Value;
    }
    else if (item.GetType() == typeof(SportsClub.Models.DatePicker))
    {
        var control = (SportsClub.Models.FormModels.DatePicker)item;

        // if this control has value show value in date format else show nothing
        valueOfControl = control.Value.HasValue ? ((DateTime)control.Value).ToShortDateString() : "-";
    }
    else if (item.GetType() == typeof(SportsClub.Models.FormModels.CheckBox))
    {
        var control = (SportsClub.Models.FormModels.CheckBox)item;
        valueOfControl = control.Value ? "Yes" : "No";
    }
    else if (item.GetType() == typeof(SportsClub.Models.FormModels.DropDown))
    {
        var control = (SportsClub.Models.FormModels.DropDown)item;
        valueOfControl = control.Value;
    }
    if (!string.IsNullOrEmpty(valueOfControl))
    {
    <div class="pull-left full">
        <label>@item.Title:</label>
        <span>@valueOfControl</span>
    </div>
    }
}

